%define debug_package	%{nil}
%define	Objects_Home	/fmem-kernel-objects
%define	DIST		%(echo %{dist} | sed 's/\.//')
%define BaseName	fmem-kernel-modules
%define ARCH		%(uname -m)
%define _binaries_in_noarch_packages_terminate_build 0

Summary:	This package contains all of the kernel objects for all of the kernels for Fedora 34 x86_64 for FMEM

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		%{BaseName}-%{DIST}-%{ARCH}
Version:	1.6
%define	RELMAJ 1
%define RELMIN 51
Release:	%{RELMAJ}.%{RELMIN}

License:	GPL

Group:		Applications/Forensics Tools
URL:		http://hysteria.sk/~niekt0/fmem/
Source:		%{BaseName}-%{version}-%{RELMAJ}.tgz
Patch1:		%{BaseName}-%{version}-%{RELMAJ}-patch-001

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}
BuildArch:	noarch

%description
This package provides kernel objects for Fedora 34 x86_64-based systems.

%prep
%setup -T -c
%patch1 -p1

%build

%install
%{__install} -d %{buildroot}%{_datadir}/%{BaseName}-%{version}
cp -rp %{Objects_Home}/*%{DIST}.*%{ARCH}* %{buildroot}%{_datadir}/%{BaseName}-%{version}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%attr(744, root, root)	%{_datadir}/%{BaseName}-%{version}/*/*.ko

%changelog
* Wed Jun  1 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-1.51
* Release 1.6-1.51
	Kernel modules were added for the following kernels:
		5.17.11-100

* Wed May 25 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-1.50
* Release 1.6-1.50
	Kernel modules were added for the following kernels:
		5.17.9-100
		5.17.8-100

5.17.7-100
* Wed May 18 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-1.49
* Release 1.6-1.49
	Kernel modules were added for the following kernels:
		5.17.7-100

* Wed May 11 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-1.48
* Release 1.6-1.48
	Kernel modules were added for the following kernels:
		5.17.6-100

* Wed May  4 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-1.47
* Release 1.6-1.47
	Kernel modules were added for the following kernels:
		5.17.5-100

* Wed Apr 27 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-1.46
* Release 1.6-1.46
	Kernel modules were added for the following kernels:
		5.17.4-100

* Wed Apr 20 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-1.45
* Release 1.6-1.45
	Kernel modules were added for the following kernels:
		5.16.20-100
		5.16.19-100

* Wed Apr  6 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-1.44
* Release 1.6-1.44
	Kernel modules were added for the following kernels:
		5.16.18-100

* Mon Mar 28 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-1.43
* Release 1.6-1.43
	Kernel modules were added for the following kernels:
		5.16.16-100

* Wed Mar 23 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-1.42
* Release 1.6-1.42
	Kernel modules were added for the following kernels:
		5.16.15-101

* Wed Mar 16 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-1.41
* Release 1.6-1.41
	Kernel modules were added for the following kernels:
		5.16.14-100
		5.16.13-100

* Wed Mar  9 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-1.40
* Release 1.6-1.40
	Kernel modules were added for the following kernels:
		5.16.12-100
		5.16.11-100
		5.16.10-100

* Wed Feb 23 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-1.39
* Release 1.6-1.39
	Kernel modules were added for the following kernels:
		5.16.9-100

* Wed Feb 16 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-1.38
* Release 1.6-1.38
	Kernel modules were added for the following kernels:
		5.16.8-100
		5.16.7-100

* Wed Feb  9 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-1.37
* Release 1.6-1.37
	Kernel modules were added for the following kernels:
		5.16.5-100

* Wed Feb  2 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-1.36
* Release 1.6-1.36
	Kernel modules were added for the following kernels:
		5.15.18-100

* Wed Jan 26 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-1.35
* Release 1.6-1.35
	Kernel modules were added for the following kernels:
		5.15.16-100
		5.15.15-100

* Wed Jan 19 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-1.34
* Release 1.6-1.34
	Kernel modules were added for the following kernels:
		5.15.14-100

* Wed Jan 12 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-1.33
* Release 1.6-1.33
	Kernel modules were added for the following kernels:
		5.15.13-100

* Wed Jan  5 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-1.32
* Release 1.6-1.32
	Kernel modules were added for the following kernels:
		5.15.12-100

* Wed Dec 29 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-1.31
* Release 1.6-1.31
	Kernel modules were added for the following kernels:
		5.15.11-100

* Wed Dec 22 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-1.30
* Release 1.6-1.30
	Kernel modules were added for the following kernels:
		5.15.10-100
		5.15.8-100

* Wed Dec 15 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-1.29
* Release 1.6-1.29
	Kernel modules were added for the following kernels:
		5.15.7-100

* Fri Dec 10 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-1.28
* Release 1.6-1.28
	Kernel modules were added for the following kernels:
		5.15.6-100

* Wed Dec  1 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-1.27
* Release 1.6-1.27
	Kernel modules were added for the following kernels:
		5.15.5-100
		5.15.4-101

* Fri Nov 19 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-1.26
* Release 1.6-1.26
	Kernel modules were added for the following kernels:
		5.14.18-200
		5.14.17-201

* Wed Nov 10 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-1.25
* Release 1.6-1.25
	Kernel modules were added for the following kernels:
		5.14.16-201
		5.14.15-200
		5.14.14-200

* Fri Oct 29 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-1.24
* Release 1.6-1.24
	Kernel modules were added for the following kernels:
		5.14.13-200

* Wed Oct 20 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-1.23
* Release 1.6-1.23
	Kernel modules were added for the following kernels:
		5.14.12-200
		5.14.11-200

* Wed Oct 13 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-1.22
* Release 1.6-1.22
	Kernel modules were added for the following kernels:
		5.14.10-200

* Wed Oct  6 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-1.21
* Release 1.6-1.21
	Kernel modules were added for the following kernels:
		5.14.9-200
		5.13.19-200

* Wed Sep 29 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-1.20
* Release 1.6-1.20
	Kernel modules were added for the following kernels:
		5.13.19-200
		5.13.16-200

* Wed Sep 15 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-1.19
* Release 1.6-1.19
	Kernel modules were added for the following kernels:
		5.13.15-200
		5.13.14-200

* Wed Sep  8 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-1.18
* Release 1.6-1.18
	Kernel modules were added for the following kernels:
		5.13.13-200

* Wed Aug 25 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-1.17
* Release 1.6-1.17
	Kernel modules were added for the following kernels:
		5.13.12-200

* Wed Aug 18 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-1.16
* Release 1.6-1.16
	Kernel modules were added for the following kernels:
		5.13.10-200
		5.13.9-200

* Wed Aug 11 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-1.15
* Release 1.6-1.15
	Kernel modules were added for the following kernels:
		5.13.8-200
		5.13.7-200

* Wed Aug  4 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-1.14
* Release 1.6-1.14
	Kernel modules were added for the following kernels:
		5.13.6-200
		5.13.5-200

* Wed Jul 28 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-1.13
* Release 1.6-1.13
	Kernel modules were added for the following kernels:
		5.13.4-200

* Wed Jul 21 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-1.12
* Release 1.6-1.12
	Kernel modules were added for the following kernels:
		5.12.17-300
		5.12.15-300

* Wed Jul 14 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-1.11
* Release 1.6-1.11
	Kernel modules were added for the following kernels:
		5.12.14-300

* Wed Jun 30 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-1.10
* Release 1.6-1.10
	Kernel modules were added for the following kernels:
		5.12.13-300
		5.12.12-300

* Wed Jun 23 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-1.9
* Release 1.6-1.9
	Kernel modules were added for the following kernels:
		5.12.11-300

* Wed Jun 16 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-1.8
* Release 1.6-1.8
	Kernel modules were added for the following kernels:
		5.12.10-300

* Fri Jun 11 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-1.7
* Release 1.6-1.7
	Kernel modules were added for the following kernels:
		5.12.9-300

* Wed Jun  2 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-1.6
* Release 1.6-1.6
	Kernel modules were added for the following kernels:
		5.12.8-300
		5.12.7-300

* Wed May 26 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-1.5
* Release 1.6-1.5
	Kernel modules were added for the following kernels:
		5.12.6-300
		5.12.5-300
		5.11.21-300

* Wed May 19 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-1.4
* Release 1.6-1.4
	Kernel modules were added for the following kernels:
		5.11.20-300

* Thu May 13 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-1.3
* Release 1.6-1.3
	Kernel modules were added for the following kernels:
		5.11.19-300
		5.11.18-300

* Thu May  6 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-1.2
* Release 1.6-1.2
	Kernel modules were added for the following kernels:
		5.11.17-300

* Wed Apr 28 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-1.1
* Release 1.6-1.1
	Initial release. Kernel modules were added for the following kernels:
		5.11.16-300
		5.11.15-300
		5.11.12-300
